
function E0090()
    MNA()CMU("CS_Anzen")FAI(0)
end
function E0091()
    MNA()CMU("CS_Anzen")FAI(1)
end
function E0092()
    MNA()CMU("CS_Anzen")FAI(2)
end
function E0093()
    MNA()CMU("CS_Anzen")FAI(3)
end
function E0094()
    MNA()CMU("CS_Anzen")FAI(4)
end

function Door_GoPeaceTown()
    PRI()MM0()SOU("CS_011_door")ANP("Door_GoPeaceTown",0,1)FAO(2)TRA("CS_peace_town","E0090",69,15)
end

function Igor1()
    if(FLJ("ChatWithIgor")) then
        KEY()
        FAC("jack_normal")MS3("\nWe don't need any more noodles.")NOD()
    else
        Igor1_chat()
    end
end

function Igor1_chat()
    KEY()
    MS3("Hello there~")NOD()
    CAT("\nWould you like some noodles?")NOD()CLR()
    CAT("\nJack, I'm going to starve")
    CAT("\nif I don't eat something...")NOD()CLR()
    FAC("jack_normal")CAT("Fine, fine.")NOD()
    CAT("\nTwo bowls of noodles, please~")NOD()CLR()
    FAC()CAT("\nOf course, just a moment.")NOD()CLO()
    FAO(0)
    MOV(16,14)
    HMC()
    SNP("CS_jack_animate",18,14,0,"mainLayer","Jack1")--杰克
    ANP("Jack1","sit_on_chair")
    ANP("Table1","using")
    SNP("CS_santa_animate",21,14,0,"mainLayer","Santa1")--桑塔
    ANP("Santa1","sit_on_chair")
    ANP("Table2","using")
    FAI(2)
    MS3("\nSorry for the wait~")NOD()CLO()
    --伊藤
    SNP("CS_itoh_animate",15,14,1,"mainLayer","Itoh1")--杰克
    ANP("Itoh1","hold_noodle")
    WAI(16)
    ANP("Itoh1","walk",1)
    WAI(16)
    ANP("Itoh1","normal",1)
    WAI(32)
    SOU("CS_023_thud")
    ANP("Table1","noodle")
    WAI(32)
    ANP("Itoh1","walk",1)
    WAI(48)
    ANP("Itoh1","normal",1)
    WAI(32)
    SOU("CS_023_thud")
    ANP("Table2","noodle")
    ANP("Itoh1","empty")
    WAI(32)
    MS3("\nPlease enjoy.")NOD()CLO()
    ANP("Itoh1","walk",0)
    WAI(64)
    ANP("Itoh1","normal",0)
    WAI(16)
    ANP("Itoh1","normal",1)
    WAI(16)
    DNP("Itoh1")
    WAI(32)
    MS3("\nTime to dig in!")NOD()CLR()
    FAC("jack_normal")CAT("\nHurry up and eat...")NOD()CLO()
    FAO(0)
    ANP("Table1","noodle_eat_up")
    ANP("Table2","noodle_eat_up")
    WAI(64)
    LIP(1000)
    SOU("CS_020_health_refill")
    FAI(2)
    WAI(16)
    FAC("jack_normal")MS3("\nSanta, are you finished?")NOD()CLR()
    FAC()CAT("\nI finished ages ago.")NOD()CLR()
    FAC("jack_normal")CAT("\nLet me pay and let's get going.")NOD()CLO()
    ANP("Jack1","normal")
    WAI(16)
    ANP("Jack1","walk",0)
    WAI(16)
    ANP("Santa1","normal")
    WAI(16)
    ANP("Santa1","walk",0)
    WAI(3*16)
    ANP("Jack1","normal",1)
    WAI(32)
    ANP("Jack1","back",1)
    WAI(64)
    ANP("Santa1","normal",1)
    WAI(16)
    MS3("\nPlease come again~")NOD()CLR()
    CAT("Say, I haven't seen you two before.")NOD()
    CAT("\nIs this your first time in this town?")NOD()CLR()
    FAC("jack_normal")CAT("\nYes, we just arrived today.")NOD()CLR()
    FAC()CAT("\nCan you speak Human language?")NOD()CLR()
    FAC("jack_normal")CAT("\nHuman language?")NOD()CLR()
    FAC()CAT("That's right.")NOD()
    CAT("\nWe're one of the few Mimiga businesses")
    CAT("\nin this town.")NOD()CLR()
    CAT("If you want to talk with humans,")NOD()
    CAT("\nyou need to speak their language.")NOD()CLR()
    CAT("Of course, since we're all Mimiga,")NOD()
    CAT("\nwe can speak Mimiga language") 
    CAT("\nwith each other just fine.")NOD()CLR()
    CAT("But when dealing with humans,")NOD()
    CAT("\nyou need to greet them") 
    CAT("\nin Human language.")NOD()CLR()
    FAC("jack_normal")CAT("I see.")NOD()
    FAC("jack_><")CAT("\nBut we don't know") 
    CAT("\nany Human language.")NOD()CLR()
    FAC()CAT("Well, there's a solution for that.")NOD()
    CAT("\nYou can use a translator.")NOD()CLR()
    FAC("jack_normal")CAT("A translator?")NOD()
    CAT("\nWith that, you can talk to humans?")NOD()CLR()
    FAC()CAT("That's right~")NOD()
    CAT("\nThere's a secondhand electronics shop")
    CAT("\ndown the street.")NOD()CLR()
    CAT("They mainly deal in recycled goods,")NOD()
    CAT("\nbut you can actually buy")
    CAT("\nsome things there quite cheaply.")NOD()CLR()
    FAC("jack_normal")CAT("\nIncluding translators?")NOD()CLR()
    FAC()CAT("\nExactly.")NOD()CLR()
    FAC("jack_normal")CAT("Thank you for telling us all this~")NOD()
    CAT("\nBy the way, what's your name...?")NOD()CLR()
    FAC()CAT("\nI'm Igor.")NOD()CLR()
    FAC("jack_normal")CAT("\nThank you, Igor.")NOD()CLR()
    FAC()CAT("Don't mention it.")NOD()
    CAT("\nWe Mimiga have to stick together~")NOD()CLO()
    FAO(0)
    SMC()
    TRA("CS_peace_town_noodle","Igor1_chat_end",13,14)
end

function Igor1_chat_end()
    KEY()
    MOV(12,14,PLY())
    SLR(1,PLY())
    MOV(13,14,1-PLY())
    SLR(0,1-PLY())
    FAI(2)
    FAC("jack_normal")MS3("\nAlright Santa, let's get going!")NOD()
    FLP("ChatWithIgor")
    MSA("GetTranslator")
end

function Kitchen()
    KEY()
    MS3("\nNo need to go to the kitchen...")NOD()
end

--经验胶囊
function NoodleExp1()
    FLP("NoodleExp1")
end
function NoodleExp2()
    FLP("NoodleExp2")
end
function NoodleExp3()
    FLP("NoodleExp3")
end
function NoodleExp4()
    FLP("NoodleExp4")
end